@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

//    DefaultReferenceEditor Tree-Components
// ================================

.z-bandpopup.ye-create-only,
.ye-default-reference-editor-listbox .ye-create-new-reference .z-listcell-content {
    .ye-create-type-selector-container {
        .z-tree-body {
            td.z-treecell {
                border: $default-reference-editor__box--border-width solid $default-reference-editor__list-tree-cell--border-color;
                border-width: $default-reference-editor__box--border-width 0 0;
                @if $default-reference-editor__treecell--bg-color {
                    background: $default-reference-editor__treecell--bg-color;
                }
            }
            .z-treerow:first-child > td.z-treecell {
                border-top-width: 0;
            }
        }
    }
}

@if $default-reference-editor__treecell-hover--bg-color {
    .z-bandpopup.ye-create-only .ye-create-type-selector-container .z-tree-body td.z-treecell:hover,
    .ye-default-reference-editor-listbox .ye-create-new-reference .z-listcell-content .ye-create-type-selector-container .z-tree-body td.z-treecell:hover,
    .ye-default-reference-editor-listbox .ye-create-new-reference .z-listcell-content .ye-create-type-selector-container .z-tree-body .ye-create-type-selector-lvl-0 td.z-treecell:hover {
        background: $default-reference-editor__treecell-hover--bg-color;
    }
}

/*
.ye-default-reference-editor-listbox .ye-create-new-reference .z-listcell-content .ye-create-type-selector-container .z-tree-body td.z-treecell .z-treecell-content{
    color: #043263;
}
*/
.ye-create-type-selector-container {
    .z-treecell > .z-treecell-content {
        line-height: $default-reference-editor__create-new-container--line-height;
        
        > .z-tree-icon {
            height: 100%;
        }
    }
    .ye-create-type-selector-abstracttype {
        .z-treecell-text{
            font-style: italic;
        }
        //remove if never used
            @if $default-reference-editor__treecell-abstract--color {
                .z-treecell-text, .z-tree-icon {
                    color: $default-reference-editor__treecell-abstract--color;
                }
            }
            @if $default-reference-editor__treecell-abstract-hover--color {
                .z-treecell:hover {
                    .z-treecell-text, .z-tree-icon {
                        color: $default-reference-editor__treecell-abstract-hover--color;
                    }
                }
            }
    }
    .z-treecell > .z-treecell-content {
        > .z-tree-line.z-tree-spacer,
        > .z-tree-icon {
            display: inline-block;
        }
    }

    .z-treecell-content,
    .z-treecell-content,
    .z-tree-icon,
    .z-tree-line.z-tree-spacer {
        display: table-cell;
    }

    @if $default-reference-editor__treecell-hover--color {
        .z-treecell:hover .z-tree-icon,
        .z-treecell:hover .z-treecell-text {
            color: $default-reference-editor__treecell-hover--color;
        }
    }
}


        